class DATARequest:
    def __init__(self):
        self.dsID = 'www.hc-system.com.RemoteMonitor"'
        self.reqType = 'query'
        self.queryAddr = []



class DataAddress:
    def __init__(self):
        self.version = ''
        self.curMold = ''
        self.counterList = ''
        self.counter_n = ''
        self.curMode = ''
        self.boardIONum = ''
        self.input_n = ''
        self.output_n = ''
        self.axisNum = ''
        self.axis_n = ''
        self.world_n = ''
        self.curAlarm = ''
        self.curCycle = ''
        self.lastCycle = ''
        self.machineName = ''
        self.curTorque_n = ''
        self.curSpeed_n = ''
        self.curAccount = ''
        self.origin = ''
        self.moldList = ''
        self.isMoving = ''
        self.M_n = ''
        #return





class DATAReply:
    def __init__(self):
        self.dsID = ''
        self.reqType = ''
        self.queryData = DataAddress()
        return


    def JsonToObject(self):
        return

class CMDRequest:
    def __init__(self):
        self.dsID = 'www.hc-system.com.HCRemoteCommand'
        self.reqType = ''
        self.cmdData = ''
        return



class CMDInstructRequest:
    def __init__(self):
        self.dsID = 'www.hc-system.com.HCRemoteCommand'
        self.emptyList = '1'
        self.dsData = []
        return


class CMDReply:

    def __init__(self,dsID,reqType,cmdReply):
        self.dsID = dsID
        self.reqType = reqType
        self.cmdReply = cmdReply
        return

